
# Handle the incoming configuration files:
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}


# Prepare Nm-openconnect system files.
config etc/dbus-1/system.d/nm-openconnect-service.conf.new


# Create dbus' user and group if they do not exist.
group_exists=$(grep ^nm-openconnect etc/group)
if [ x"${group_exists}" == x"" ]; then
  if ! ( groupadd -g 89 nm-openconnect ); then
    echo "Warning: Could not add group 'nm-openconnect'!"
  fi
fi
user_exists=$(grep ^nm-openconnect etc/passwd)
if [ x"${user_exists}" == x"" ]; then
  if ! ( useradd -c "NM-OpenConnect System User" -s /bin/false -d /var/run/nm-openconnect -u 89 -g nm-openconnect nm-openconnect ); then
    echo "Warning: Could not add user 'nm-openconnect'!"
  fi
fi





#
